#!/usr/bin/env perl

use strict;

if (@ARGV != 1){
    print STDERR "Usage: perl MakeDefaults.pl PARAMFILE\n";
    exit (1);
}

open (INFILE, "<$ARGV[0]");
open (OUTFILE, ">Defaults.h");

print OUTFILE "/////////////////////////////////////////////////////////////////\n";
print OUTFILE "// Parameters::InitializeDefaults()\n";
print OUTFILE "//\n";
print OUTFILE "// Load small random values into Parameter object.\n";
print OUTFILE "/////////////////////////////////////////////////////////////////\n";
print OUTFILE "\n";
print OUTFILE "void Parameters::InitializeDefaults (){\n";
print OUTFILE "  values.clear();\n";
while (my $line = <INFILE>){
    $line =~ /(\S+)\s+(\S+)/;
    print OUTFILE "  values.push_back ($2); // $1\n";
}
print OUTFILE "}\n";
close INFILE;
close OUTFILE;
